<?php
/**
* @version		mod_placehere alpha
* @package		Joomla
* @copyright	Copyright (C) 2007 Eike Pierstorff eike@diebesteallerzeiten.de
* @license		GNU/GPL, see LICENSE.php
*
* File last changed 10/30/07
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');
require_once (dirname(__FILE__).DS.'helperhtml.php');
$list = modPlaceHereHelper::getList($params);
require(JModuleHelper::getLayoutPath('mod_placehere'));
$mode = $params->get("outputmode",1);
switch($mode) {
 case(3):
 echo implode("\n",$contentarray);
 break;
 case(2):
  modPlaceHereHTML::buildDivsfromArray($contentarray,$params); 
 break;
 case(1):
 default:
  modPlaceHereHTML::buildTablefromArray($contentarray,$params);
 break;
}




